> For the complete documentation index, see [llms.txt](https://rimplenet.gitbook.io/rimplenet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://rimplenet.gitbook.io/rimplenet/api-reference/debit/get-debit.md).

# Get Debit

Gets all debits

{% hint style="info" %}
**Must have the authorization to use this API**
{% endhint %}

## Response would return all debits

<mark style="color:blue;">`GET`</mark> `https://example.com/wp-json/rimplenet/v1 /debits`

{% tabs %}
{% tab title="200: OK Debits retrieved" %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "Debits Retrieved",
    "data": [
        {
            "id": 455,
            "amount": "100",
            "balance_after": "100",
            "balance_before": "200",
            "currency": "ngn",
            "funds_type": "user_withdrawable_bal_ngn",
            "request_id": "pay_merchant_fee_100_2_1668240871738",
            "total_balance_after": "100",
            "total_balance_before": "200",
            "debits_request_id": "2_pay_merchant_fee_100_2_1668240871738",
            "txn_type": "DEBIT",
            "note": "Service charge on Pay merchant",
            "description": "TRANSACTION by john, Type: DEBIT, Wallet Info: N100.00 Nigeria Naira  on Saturday 12th of November 2022 @ 08:14:33 AM"
        },
        {
            "id": 454,
            "amount": "100",
            "balance_after": "200",
            "balance_before": "300",
            "currency": "ngn",
            "funds_type": "user_withdrawable_bal_ngn",
            "request_id": "pay_merchant_fee_100_2_1668240856681",
            "total_balance_after": "200",
            "total_balance_before": "300",
            "debits_request_id": "2_pay_merchant_fee_100_2_1668240856681",
            "txn_type": "DEBIT",
            "note": "Service charge on Pay merchant",
            "description": "TRANSACTION by flash, Type: DEBIT, Wallet Info: N100.00 Nigeria Naira  on Saturday 12th of November 2022 @ 08:14:18 AM"
        }
    ]
}

```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
To view request params, click on the arrow (>) at the right hand side of the endpoint url to expand or collapse
{% endhint %}

{% tabs %}
{% tab title="200 OK" %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "Debits Retrieved",
    "data": [
        {
            "id": 455,
            "amount": "100",
            "balance_after": "100",
            "balance_before": "200",
            "currency": "ngn",
            "funds_type": "user_withdrawable_bal_ngn",
            "request_id": "pay_merchant_fee_100_2_1668240871738",
            "total_balance_after": "100",
            "total_balance_before": "200",
            "debits_request_id": "2_pay_merchant_fee_100_2_1668240871738",
            "txn_type": "DEBIT",
            "note": "Service charge on Pay merchant",
            "description": "TRANSACTION by john, Type: DEBIT, Wallet Info: N100.00 Nigeria Naira  on Saturday 12th of November 2022 @ 08:14:33 AM"
        },
        {
            "id": 454,
            "amount": "100",
            "balance_after": "200",
            "balance_before": "300",
            "currency": "ngn",
            "funds_type": "user_withdrawable_bal_ngn",
            "request_id": "pay_merchant_fee_100_2_1668240856681",
            "total_balance_after": "200",
            "total_balance_before": "300",
            "debits_request_id": "2_pay_merchant_fee_100_2_1668240856681",
            "txn_type": "DEBIT",
            "note": "Service charge on Pay merchant",
            "description": "TRANSACTION by flash, Type: DEBIT, Wallet Info: N100.00 Nigeria Naira  on Saturday 12th of November 2022 @ 08:14:18 AM"
        }
    ]
}

```

{% endtab %}
{% endtabs %}
